Subject: Re: Intricacies of submodules

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Apr 2008 13:44:33 -0700

"Martin Langhoff" <[email-masked]> writes:

> On Thu, Apr 17, 2008 at 4:50 PM, Roman V. Shaposhnik <[email-masked]> wrote:
>>  There are two things at play: first of all, I usually *do* trust the
>>  content of the repository. Call it matter of personal preference,
>
> I think most people here split the trust into "before or after
> compilation". I must trust that I can clone/checkout code safely so I
> can review it.

I think that summarizes the arguments so far pretty well.

Having said that, the current "clone" implementation may happen to ignore
in-tree anything, e.g. ident filter defined in .gitattributes may not be
applied due to chicken-and-egg issue of not having .gitattributes
initially in the work tree when you check everything out to an empty work
tree for the first time.

But I consider that is not by design, but is a limitation of the current
implementation that can be improved.